package nl.west.aaa;


import java.util.*;

public class DomainHandler
    extends MessageHandlerContainer
    implements MessageHandler
{

    private Vector domains=new Vector();

    /**
     * Add the given domain to the list of domains
     * this messagehandler can process.
     */
    public void addDomain(String domain)
    {
        domains.add(domain);
    }
    
    public boolean handleMessage(Message msg,AAAUnit unit)
    {
        String uid=(String)msg.getAttribute("uid");
        if(uid==null)
            return false;
        // split out domain part
        int i=uid.indexOf('@');
        if (i<=1)
            return false;
        String domain=uid.substring(i+1);
        // check if the domain exists
        if(domains.contains(domain))
        {
            // do all registered handlers
            return super.handleMessage(msg,unit);
        }
        else
            return false;
    }
}
